flext ::MsgBundle Class Reference
Inheritance diagram for flext ::MsgBundle:

## Classes

class | Msg
class | Msg
class | Msg

## Public Member Functions

bool | BelongsTo (flext_base *t) const
void | Idle (flext_base *t)
void | Idle (bool(*idlefun)(int argc, const t_atom *argv), int argc, const t_atom *argv)
MsgBundle & | Add (flext_base *t, int o, const t_symbol *s, int ac, const t_atom *av)
MsgBundle & | Add (const t_symbol *r, const t_symbol *s, int ac, const t_atom *av)
MsgBundle & | Add (flext_base *th, int o)
MsgBundle & | Add (flext_base *th, int o, float dt)
MsgBundle & | Add (flext_base *th, int o, int dt)
MsgBundle & | Add (flext_base *th, int o, const t_symbol *dt)
MsgBundle & | Add (flext_base *th, int o, const t_atom &a)
MsgBundle & | Add (flext_base *th, int o, int argc, const t_atom *argv)
bool | Send () const

## Static Public Member Functions

static MsgBundle * | New ()
static void | Free (MsgBundle *m)

## Private Member Functions

Msg * | Get ()

## Private Attributes

class flext ::MsgBundle::Msg | msg

## Member Function Documentation

## Add() [1/8]

MsgBundle& flext ::MsgBundle::Add | ( | const t_symbol * | r,
|  | const t_symbol * | s,
|  | int | ac,
|  | const t_atom * | av
| ) |  |

inline

## Add() [2/8]

MsgBundle& flext ::MsgBundle::Add | ( | flext_base * | t,
|  | int | o,
|  | const t_symbol * | s,
|  | int | ac,
|  | const t_atom * | av
| ) |  |

inline

## Add() [3/8]

MsgBundle& flext ::MsgBundle::Add | ( | flext_base * | th,
|  | int | o
| ) |  |

inline

## Add() [4/8]

MsgBundle& flext ::MsgBundle::Add | ( | flext_base * | th,
|  | int | o,
|  | const t_atom & | a
| ) |  |

inline

## Add() [5/8]

MsgBundle& flext ::MsgBundle::Add | ( | flext_base * | th,
|  | int | o,
|  | const t_symbol * | dt
| ) |  |

inline

## Add() [6/8]

MsgBundle& flext ::MsgBundle::Add | ( | flext_base * | th,
|  | int | o,
|  | float | dt
| ) |  |

inline

## Add() [7/8]

MsgBundle& flext ::MsgBundle::Add | ( | flext_base * | th,
|  | int | o,
|  | int | argc,
|  | const t_atom * | argv
| ) |  |

inline

## Add() [8/8]

MsgBundle& flext ::MsgBundle::Add | ( | flext_base * | th,
|  | int | o,
|  | int | dt
| ) |  |

inline

## BelongsTo()

bool flext ::MsgBundle::BelongsTo | ( | flext_base * | t | ) | const

inline

## Free()

static void flext ::MsgBundle::Free | ( | MsgBundle * | m | ) |

inline static

## Get()

Msg* flext ::MsgBundle::Get | ( |  | ) |

inline private

## Idle() [1/2]

void flext ::MsgBundle::Idle | ( | bool(*)(int argc, const t_atom *argv) | idlefun,
|  | int | argc,
|  | const t_atom * | argv
| ) |  |

inline

## Idle() [2/2]

void flext ::MsgBundle::Idle | ( | flext_base * | t | ) |

inline

## New()

static MsgBundle* flext ::MsgBundle::New | ( |  | ) |

inline static

## Send()

bool flext ::MsgBundle::Send | ( |  | ) | const

inline

## Member Data Documentation

## msg

class flext ::MsgBundle::Msg flext ::MsgBundle::msg

private

The documentation for this class was generated from the following file:

- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flqueue.cpp